/*
 * CS 246 Final Project
 * File: display.h
 * Purpose: handles map functionality
 */

#ifndef __DISPLAY_H__
#define __DISPLAY_H__
#include <iostream>
#include <string>
#include <vector>
#include "position.h"
#include "constants.h"

class display final {
private:
        std::vector<std::string> contents;
public:
        display();

        void clear();
        // use this instead of overloading for clarity
        void print(std::ostream &out) const;
        void print_line(const std::string &line, const int linenum);

        // will override any character that was there
        void print_position(const position &pos, const char ch);
};

#endif
